使用Eclipse galileo 開發android軟體 -安裝adt

上一章有提到一些基本的觀念及說明,而這一篇將撰寫如何安裝Eclipse ADT ,android sdk!

安裝Eclipse 及android sdk都非常容易,只需要下載他們,解壓縮放至一個目錄就算完成了,請記得要先安裝java sdk喔!

下面是他們的下載位置:

Eclipse   ,android sdk   ,jdk

Eclipse就選EE版本就可以了,省去很多額外的設定,下載下來後解壓縮至一個目錄,ex: d:\eclipse。

android sdk r5好像是最新的,下載後解壓縮至一個目錄,ex: D:\android-sdk-windows。

jdk選1.5以上就可以了,記得是jdk而不是jre喔,只要一直下一步就可以安裝完成了!

以上都完成後,打開Eclipse,第一次打開時會要求設定工作目錄,如果懶的每次打開都要問一次的話,可以打勾Use this as the deault and do not ask again,就不會再要求了。

blog1.png




設好工作目錄後,看起來超專業的Eclipse 桌面就出現了。

blog2.png

再來安裝ADT,選擇上方Menu ,Help –> Install New Software

blog3.png

出現一個視窗,選擇Add,增加一個site information,輸入Name及Location的網址,ADT網址是https://dl-ssl.google.com/android/eclipse/ 

blog4.png

上圖完成後,按下OK可以看到需要安裝的Developer Tools列表,這裡選擇全都安裝,按Next

blog5.png

確認安裝資訊,可以選擇某一個Row再按下右下角的More… 可以得到此plugin 的一些說明。

blog6.png

確認Lucense,確認是否同意plugin所要求的license條件,只要在第一row選擇I accept the terms of the license agreements 其它項目也會更著全數全意,就可以不用一個一個選了。按Next

blog7.png

開始安裝,這可能需要點時間,耐心等待。

blog8.png

中間可能有一個alert視窗,大概是警告說可能包含有unsigned 的內容,詢問是否繼續安裝。這裡選OK

blog8-1.png

安裝完成後,會詢問是否要重新啟動Eclipse,需要重新啟動Eclipse才可以啟動ADT的全部功能,有三個選項Yes 重開Eclipse,No  不重開Eclipse,Apply changes 全部套用(建意用重開Eclipse比較好),這裡選Yes

blog8-2.png

好啦!jdk, Eclipse, android sdk, ADT都安裝好了。

下一篇就來看怎麼設定開發環境

5 comments on “使用Eclipse galileo 開發android軟體 -安裝adt

  1. Dear YKU

    我沒辦法安裝ADT耶,畫面呈現Duplicate location

    這該怎麼處理呢?

    萬般感謝您的指導 !!

    • 這可能需要重新安裝ADT,你的ADT有殘檔存在
      方法有二種,一種重抓eclipse重頭再裝一次
      第二種,在command視窗,指定到eclipse目錄,執行eclipse.exe -clean
      然後關閉eclipse,再啟動用原本方法重裝一次ADT

  2. 您好,想請問我安裝步驟中"看到需要安裝的Developer Tools列表,這裡選擇全都安裝,按Next"之後看到警告訊息如下,無法完成安裝,以下是Error message,但是我直接下載了ADT的zip裝一樣出現找不到檔案,請問這是怎麼回事呢?
    The operation cannot be completed. See the details.
    ----Details如下--------
    Cannot complete the install because one or more required items could not be found.
    Software being installed: Android Development Tools 21.1.0.v201302060044-569685 (com.android.ide.eclipse.adt.feature.group 21.1.0.v201302060044-569685)
    Missing requirement: Android Development Tools 21.1.0.v201302060044-569685 (com.android.ide.eclipse.adt.feature.group 21.1.0.v201302060044-569685) requires 'org.eclipse.ui 3.6.0' but it could not be found

      • @yku,
        非常感謝您願意解決我的問題
        但是我最近找到adt-bundle整套連Eclipse
        還有ADT-21.1.0(用來裝ADT時的Archive)
        等於是重新裝了一遍(新版eclipse是Juno)
        後來就沒有發生問題了
        很感激您撥冗看我的問題
        ------------------------------
        我原本的版本是Galileo
        環境是Windows XP
        或許是Galileo不支援?
        我在兩台XP上用Galileo都裝不起來ADT

2 Pings/Trackbacks 於 "使用Eclipse galileo 開發android軟體 -安裝adt"

  1. [...] 在安裝完ADT後(詳見前一篇),再來要設定android sdk的模擬器AVD,這個模擬器可以在不連接實際手機的狀況下擬器一個環境,讓我們測試在各種不同解析、sdk下是否可正確執行。模擬器的啟動跟設定有二種方式,一種是直接在android sdk目錄下直接執行執行檔,另一種是跟Eclipse緊密結合在一起,利用Eclipse來呼叫它,這裡只說明利用Eclipse 呼叫的方式,有興趣的人可以參考Emuator  這一篇或是Developer In other IDEs這一篇。 [...]

發表迴響